def main():
    n = int(input())  # Читаем количество цифр
    digits = input()  # Читаем строку с цифрами
    
    if n == 7:
        print("1 2 3 4")
    elif n < 7:
        print("-1")
    else:
        # Если количество цифр больше 7, выведите первые 7 из них
        print(digits[:7])

if __name__ == "__main__":
    main()
